function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import React, { useMemo, useState } from "react";
import { Form, Input, Button } from "antd";
import "./index.less";
import { locales } from "@pisell/utils";
import { getLocale } from "../../utils/locales";
import localeTexts from "./locales";
var Login = function Login(props) {
  var title = props.title,
    style = props.style,
    onLogin = props.onLogin;
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    loading = _useState2[0],
    setLoading = _useState2[1];
  var onFinish = function onFinish(values) {
    setLoading(true);
    onLogin && onLogin(values, function (data) {
      setLoading(false);
    });
  };
  useMemo(function () {
    console.log(getLocale(), 'getLocale()');
    locales.init(localeTexts, getLocale());
  }, []);
  return /*#__PURE__*/React.createElement("div", {
    className: "pisell-lowcode__login-wrap",
    style: style
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      width: "100%"
    }
  }, /*#__PURE__*/React.createElement("div", {
    className: "pisell-lowcode__login-title"
  }, title || "Login"), /*#__PURE__*/React.createElement(Form, {
    onFinish: onFinish
  }, /*#__PURE__*/React.createElement(Form.Item, {
    name: "email",
    rules: [{
      required: true,
      message: locales.getText("pisell2.text.email-placeholder")
    }, {
      pattern: /^\w+((.\w+)|(-\w+))@[A-Za-z0-9]+((.|-)[A-Za-z0-9]+).[A-Za-z0-9]+$/,
      message: locales.getText("pisell2.text.email-error")
    }]
  }, /*#__PURE__*/React.createElement(Input, {
    placeholder: locales.getText("pisell2.text.email-placeholder"),
    className: "pisell-lowcode__login-input pisell-lowcode__field-style"
  })), /*#__PURE__*/React.createElement(Form.Item, {
    name: "password",
    rules: [{
      required: true,
      message: locales.getText("pisell2.text.password-placeholder")
    }, {
      pattern: new RegExp(/^[^\s]*$/, "g"),
      message: locales.getText("pisell2.text.password-error")
    }]
  }, /*#__PURE__*/React.createElement(Input, {
    className: "pisell-lowcode__login-input pisell-lowcode__field-style",
    placeholder: locales.getText("pisell2.text.password-placeholder"),
    type: "Password",
    autoComplete: "new-password"
  })), /*#__PURE__*/React.createElement(Form.Item, {
    noStyle: true
  }, /*#__PURE__*/React.createElement(Button, {
    className: "pisell-lowcode__login-button pisell-lowcode__field-style",
    type: "primary",
    htmlType: "submit",
    size: "large",
    loading: loading
  }, locales.getText("pisell2.text.login"))))));
};
export default Login;